# Uses of Class
org.opensaml.xacml.ctx.provider.impl.ObligationProcessingContext

Packages that use ObligationProcessingContext
Package
Description
org.opensaml.xacml.ctx.provider.impl
Implementations of XACML functionality.

## Uses of ObligationProcessingContext in org.opensaml.xacml.ctx.provider.impl

Methods in org.opensaml.xacml.ctx.provider.impl with parameters of type ObligationProcessingContext
Modifier and Type
Method
Description
`abstract void`
BaseObligationHandler.`evaluateObligation(ObligationProcessingContext context, ObligationType obligation)`
Evaluates the obligation represented by this handler.
`protected Map<String,ObligationType>`
ObligationService.`preprocessObligations(ObligationProcessingContext context)`
Preprocesses the obligations returned within the result.
`void`
ObligationService.`processObligations(ObligationProcessingContext context)`
Processes the obligations within the effective XACML policy.